## dragonfly-reverb 3.2.1

=== plugins/dragonfly-hall-reverb/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = DragonflyHallReverb

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	Plugin.cpp \
	DSP.cpp

FILES_UI  = \
	UI.cpp \
	Artwork.cpp \
	DSP.cpp \
	../../common/AbstractUI.cpp \
	../../common/LabelledKnob.cpp \
	../../common/Spectrogram.cpp \
	../../common/Bitstream_Vera_Sans_Regular.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

BUILD_CXX_FLAGS := -I../../common $(BUILD_CXX_FLAGS)
BUILD_CXX_FLAGS := ../../common/kiss_fft/*.c.o $(BUILD_CXX_FLAGS)
ifneq ($(SYSTEM_FREEVERB3),true)
BUILD_CXX_FLAGS := ../../common/freeverb/*.cpp.o $(BUILD_CXX_FLAGS)
else
BUILD_CXX_FLAGS := $(shell pkg-config --cflags freeverb3-3) $(BUILD_CXX_FLAGS)
endif

# --------------------------------------------------------------
# Link dependencies

ifneq ($(SYSTEM_FREEVERB3),true)
LINK_OPTS += -lm
else
LINK_OPTS += -lm $(shell pkg-config --libs freeverb3-3) -lsamplerate
BUILD_CXX_FLAGS := -DLIBSRATE1 $(BUILD_CXX_FLAGS)
endif

ifeq ($(WIN32),true)
LINK_OPTS += -static -static-libgcc -static-libstdc++
endif


# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== debian/changelog ===
dragonfly-reverb (3.2.1-0ubuntu1) groovy; urgency=medium

  * Initial release for Ubuntu
  * Split plugins into separate subpackages
  * Change from Noto Sans to Bitstream Vera Sans for font

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 28 Aug 2020 13:12:24 -0700

Old Changelog:

dragonfly-reverb (2.0.0+20190623~gitcb562e5-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - new upstream version
    - from the git of the day (equivalent to version 2.0.0 + 5 commits)
  * debian/control
    - description: improvement

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Sun, 23 Jun 2019 14:36:39 +0200

dragonfly-reverb (1.1.3+20190605~gitebd9fac-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - from the GIT head master of the day (2.0.0-rc1)

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Wed, 05 Jun 2019 13:37:59 +0200

dragonfly-reverb (1.1.3+20190603~gitb247b7c-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - from the GIT head master of the day (1.9.9 beta)

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Mon, 03 Jun 2019 18:48:35 +0200

dragonfly-reverb (1.1.3+20190530~git0c900f8-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - from the GIT head master of the day (1.9.8 beta)

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Thu, 30 May 2019 14:55:04 +0200

dragonfly-reverb (1.1.3+20190522~git4f18147-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - from the GIT head master of the day (1.9.7 beta + 1 commit)

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Wed, 22 May 2019 21:39:28 +0200

dragonfly-reverb (1.1.3+20190517~git119bff7-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - from the GIT head master of the day (1.9.6 beta + 2 commits)

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Fri, 17 May 2019 06:20:27 +0200

dragonfly-reverb (1.1.3+20190512~git2f8abcc-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - from the GIT head master of the day (1.9.5 beta)

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Sun, 12 May 2019 13:01:57 +0200

dragonfly-reverb (1.1.3+20190510~git5247940-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - from the GIT head master of the day (1.9.4 beta + 1 commit)

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Fri, 10 May 2019 16:16:28 +0200

dragonfly-reverb (1.1.3+20190507~git7bff64f-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - from the GIT head master of the day (1.9.3 beta + 1 commit)
  * debian/install
    - file update
  * debian/control
    - description: update
  * debian/dragonfly-reverb.desktop
    - renaming to DragonflyHallReverb.desktop
    - adaptation
  * debian/DragonflyRoomReverb.desktop
    - creation of the file from DragonflyHallReverb.desktop
    - adaptation
  * debian/dragonfly-reverb.xpm
    - renaming to DragonflyHallReverb.xpm
  * debian/DragonflyRoomReverb.xpm
    - creation of the file (copy of DragonflyHallReverb.xpm)

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Tue, 07 May 2019 22:12:17 +0200

dragonfly-reverb (1.1.3-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - new upstream version
    - build with system libsamplerate
  * debian/control
    - construction outbuilding - addition of "libsamplerate0-dev"
    - description: 2018->2019
  * debian/rules
    - passing of the arguments SYSTEM_LIBSAMPLERATE = true
  * debian/copyright
    - Michael Willis and rghvdberg: 2017-2018 -> 2017-2019
    - Olivier Humbert: 2018 -> 2018-2019

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Thu, 10 Jan 2019 19:19:06 +0100

dragonfly-reverb (1.1.2-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - new upstream version
    - from git 3cbae6e which is the equivalent of 1.1.2
  * debian/control
    - description: improvements

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Wed, 12 Dec 2018 19:32:17 +0100

dragonfly-reverb (1.0.0-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2.
    - new upstream version
    - from git 6dbf784 which is the equivalent of 1.0.0 (+ 1 commit)
  * debian/control
    - description: improvements

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Tue, 13 Nov 2018 21:28:59 +0100

dragonfly-reverb (0.9.9+20181111~git00a9f8e~1.0.0-rc3-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - new upstream version
    - from the GIT of the day which is equivalent to version 1.0.0-rc3

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Sun, 11 Nov 2018 13:42:34 +0100

dragonfly-reverb (0.9.9+20181107~gita91c512~1.0.0-rc2-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2.
    - new upstream version
    - from the GIT of the day which is equivalent to version 1.0.0-rc2

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Wed, 07 Nov 2018 18:49:33 +0100

dragonfly-reverb (0.9.9+20181030~git68a8450~1.0.0-rc1-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - new upstream version
    - from the GIT of the day which is equivalent to version 1.0.0-rc1

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Tue, 30 Oct 2018 21:38:31 +0100

dragonfly-reverb (0.9.5+20181027~git1b787a5-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - new upstream version
    - from the GIT of the day which is equivalent to version 0.9.5

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Sat, 27 Oct 2018 12:50:17 +0200

dragonfly-reverb (0.9.4+20181019~git89e7cbe-0librazik1) stretch; urgency=medium

  * Reconstruction with pbuilder for LibraZiK-2
    - new upstream version
    - from the GIT of the day which is equivalent to version 0.9.4



=== debian/control ===
Source: dragonfly-reverb
Section: sound
Priority: optional
Rules-Requires-Root: no
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
XSBC-Original-Maintainer: Équipe LibraZiK <librazik@tuxfamily.org>
Build-Depends:
 debhelper-compat (= 13),
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-jackd2-dev | libjack-dev,
 libx11-dev,
 libxext-dev,
 pkg-config,
 libfftw3-dev,
 liblo-dev
Homepage: https://michaelwillis.github.io/dragonfly-reverb/
Standards-Version: 4.5.0

Package: dragonfly-reverb
Architecture: any
Depends:
 dragonfly-reverb-standalone,
 dragonfly-reverb-vst,
 dragonfly-reverb-lv2,
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 lv2-plugin,
 vst-plugin
Description: Reverb effect plugins (metapackage)
 Dragonfly Reverb is a bundle of free audio reverb effects.
 .
 The DSP is based on the well-known freeverb3 and its
 GUI is made with the help of the DPF toolkit.

Package: dragonfly-reverb-standalone
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 standalone-plugin
Description: Reverb effect plugins - standalone applications
 Dragonfly Reverb is a bundle of free audio reverb effects.
 .
 The DSP is based on the well-known freeverb3 and its
 GUI is made with the help of the DPF toolkit.
 .
 This package provides the standalone plugin applications

Package: dragonfly-reverb-vst
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 vst-plugin
Description: Reverb effect plugins - VST plugins
 Dragonfly Reverb is a bundle of free audio reverb effects.
 .
 The DSP is based on the well-known freeverb3 and its
 GUI is made with the help of the DPF toolkit.
 .
 This package provides the vst plugins

Package: dragonfly-reverb-lv2
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 lv2-plugin
Description: Reverb effect plugins - LV2 plugins
 Dragonfly Reverb is a bundle of free audio reverb effects.
 .
 The DSP is based on the well-known freeverb3 and its
 GUI is made with the help of the DPF toolkit.
 .
 This package provides the lv2 plugins

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS=$(FLAGS)
export CXXFLAGS=$(FLAGS) -fvisibility-inlines-hidden
export CPPFLAGS=
export LDFLAGS=-Wl,-O1 -Wl,--as-needed -Wl,--no-undefined -Wl,--gc-sections -Wl,--strip-all

override_dh_auto_build:
	$(MAKE) -C dpf
	$(MAKE) NOOPT=true

%:
	dh $@

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/dragonfly-reverb-$1\.tar\.gz/ \
  https://github.com/michaelwillis/dragonfly-reverb/tags .*/release-?(\d\S*)\.tar\.gz

## dragonfly-reverb 3.2.3

=== plugins/dragonfly-early-reflections/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = DragonflyEarlyReflections

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	Plugin.cpp \
	DSP.cpp

FILES_UI  = \
	UI.cpp \
	Artwork.cpp \
	DSP.cpp \
	../../common/AbstractUI.cpp \
	../../common/LabelledKnob.cpp \
	../../common/Spectrogram.cpp \
	../../common/Bitstream_Vera_Sans_Regular.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

BUILD_CXX_FLAGS := -I../../common $(BUILD_CXX_FLAGS)
BUILD_CXX_FLAGS := ../../common/kiss_fft/*.c.o $(BUILD_CXX_FLAGS)
ifneq ($(SYSTEM_FREEVERB3),true)
BUILD_CXX_FLAGS := ../../common/freeverb/*.cpp.o $(BUILD_CXX_FLAGS)
else
BUILD_CXX_FLAGS := $(shell pkg-config --cflags freeverb3-3) $(BUILD_CXX_FLAGS)
endif

# --------------------------------------------------------------
# Link dependencies

ifneq ($(SYSTEM_FREEVERB3),true)
LINK_OPTS += -lm
else
LINK_OPTS += -lm $(shell pkg-config --libs freeverb3-3) -lsamplerate
BUILD_CXX_FLAGS := -DLIBSRATE1 $(BUILD_CXX_FLAGS)
endif

ifeq ($(WIN32),true)
LINK_OPTS += -static -static-libgcc -static-libstdc++
endif


# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/dragonfly-plate-reverb/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = DragonflyPlateReverb

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	Plugin.cpp \
	DSP.cpp

FILES_UI  = \
	UI.cpp \
	Artwork.cpp \
	DSP.cpp \
	../../common/AbstractUI.cpp \
	../../common/LabelledKnob.cpp \
	../../common/Spectrogram.cpp \
	../../common/Bitstream_Vera_Sans_Regular.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

BUILD_CXX_FLAGS := -I../../common $(BUILD_CXX_FLAGS)
BUILD_CXX_FLAGS := ../../common/kiss_fft/*.c.o $(BUILD_CXX_FLAGS)
ifneq ($(SYSTEM_FREEVERB3),true)
BUILD_CXX_FLAGS := ../../common/freeverb/*.cpp.o $(BUILD_CXX_FLAGS)
else
BUILD_CXX_FLAGS := $(shell pkg-config --cflags freeverb3-3) $(BUILD_CXX_FLAGS)
endif

# --------------------------------------------------------------
# Link dependencies

ifneq ($(SYSTEM_FREEVERB3),true)
LINK_OPTS += -lm
else
LINK_OPTS += -lm $(shell pkg-config --libs freeverb3-3) -lsamplerate
BUILD_CXX_FLAGS := -DLIBSRATE1 $(BUILD_CXX_FLAGS)
endif

ifeq ($(WIN32),true)
LINK_OPTS += -static -static-libgcc -static-libstdc++
endif


# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/dragonfly-room-reverb/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = DragonflyRoomReverb

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	Plugin.cpp \
	DSP.cpp

FILES_UI  = \
	UI.cpp \
	Artwork.cpp \
	DSP.cpp \
	../../common/AbstractUI.cpp \
	../../common/LabelledKnob.cpp \
	../../common/Spectrogram.cpp \
	../../common/Bitstream_Vera_Sans_Regular.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

BUILD_CXX_FLAGS := -I../../common $(BUILD_CXX_FLAGS)
BUILD_CXX_FLAGS := ../../common/kiss_fft/*.c.o $(BUILD_CXX_FLAGS)
ifneq ($(SYSTEM_FREEVERB3),true)
BUILD_CXX_FLAGS := ../../common/freeverb/*.cpp.o $(BUILD_CXX_FLAGS)
else
BUILD_CXX_FLAGS := $(shell pkg-config --cflags freeverb3-3) $(BUILD_CXX_FLAGS)
endif

# --------------------------------------------------------------
# Link dependencies

ifneq ($(SYSTEM_FREEVERB3),true)
LINK_OPTS += -lm
else
LINK_OPTS += -lm $(shell pkg-config --libs freeverb3-3) -lsamplerate
BUILD_CXX_FLAGS := -DLIBSRATE1 $(BUILD_CXX_FLAGS)
endif

ifeq ($(WIN32),true)
LINK_OPTS += -static -static-libgcc -static-libstdc++
endif


# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== debian/changelog ===
dragonfly-reverb (3.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #916638)

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 25 Feb 2021 23:32:07 +0100

=== debian/control ===
Source: dragonfly-reverb
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Olivier Humbert <trebmuh@tuxfamily.org>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 libfftw3-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-jackd2-dev | libjack-dev,
 liblo-dev,
 libsamplerate0-dev,
 libx11-dev,
 libxext-dev,
 pkg-config
Homepage: https://michaelwillis.github.io/dragonfly-reverb/
Vcs-Git: https://salsa.debian.org/multimedia-team/dragonfly-reverb.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/dragonfly-reverb
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: dragonfly-reverb
Architecture: any
Depends:
 dragonfly-reverb-standalone,
 dragonfly-reverb-vst,
 dragonfly-reverb-lv2,
 ${misc:Depends},
Provides:
 lv2-plugin,
 vst-plugin
Description: Reverb effect plugins - metapackage
 Dragonfly Reverb is a bundle of free audio reverb effects:
  * Early Reflections
    - stereo-to-stereo reverb
  * Hall Reverb
    - stereo-to-stereo reverb
  * Plate
    - mono-to-stereo reverb
  * Room Reverb
    - stereo-to-stereo reverb
 .
 This metapackage installs all jack, lv2 and vst plugins

Package: dragonfly-reverb-standalone
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 standalone-plugin
Description: Reverb effect plugins - standalone applications
 Dragonfly Reverb is a bundle of free audio reverb effects:
  * Early Reflections
    - stereo-to-stereo reverb
  * Hall Reverb
    - stereo-to-stereo reverb
  * Plate
    - mono-to-stereo reverb
  * Room Reverb
    - stereo-to-stereo reverb
 .
 This package provides the standalone jack applications

Package: dragonfly-reverb-vst
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 vst-plugin
Description: Reverb effect plugins - VST plugins
 Dragonfly Reverb is a bundle of free audio reverb effects:
  * Early Reflections
    - stereo-to-stereo reverb
  * Hall Reverb
    - stereo-to-stereo reverb
  * Plate
    - mono-to-stereo reverb
  * Room Reverb
    - stereo-to-stereo reverb
 .
 This package provides the vst plugins

Package: dragonfly-reverb-lv2
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 lv2-plugin
Description: Reverb effect plugins - LV2 plugins
 Dragonfly Reverb is a bundle of free audio reverb effects:
  * Early Reflections
    - stereo-to-stereo reverb
  * Hall Reverb
    - stereo-to-stereo reverb
  * Plate
    - mono-to-stereo reverb
  * Room Reverb
    - stereo-to-stereo reverb
 .
 This package provides the lv2 plugins

## dragonfly-reverb 3.2.5

=== Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

include dpf/Makefile.base.mk

all: libs plugins gen

# --------------------------------------------------------------

libs:
	$(MAKE) -C common
	$(MAKE) -C dpf/dgl ../build/libdgl-opengl.a

plugins: libs
	$(MAKE) all -C plugins/dragonfly-hall-reverb
	$(MAKE) all -C plugins/dragonfly-room-reverb
	$(MAKE) all -C plugins/dragonfly-plate-reverb
	$(MAKE) all -C plugins/dragonfly-early-reflections

ifneq ($(CROSS_COMPILING),true)
gen: plugins dpf/utils/lv2_ttl_generator
	@$(CURDIR)/dpf/utils/generate-ttl.sh
ifeq ($(MACOS),true)
	@$(CURDIR)/dpf/utils/generate-vst-bundles.sh
endif

dpf/utils/lv2_ttl_generator:
	$(MAKE) -C dpf/utils/lv2-ttl-generator
else
gen:
endif

# --------------------------------------------------------------

clean:
	$(MAKE) clean -C dpf/dgl
	$(MAKE) clean -C dpf/utils/lv2-ttl-generator
	$(MAKE) clean -C plugins/dragonfly-hall-reverb
	$(MAKE) clean -C plugins/dragonfly-room-reverb
	$(MAKE) clean -C plugins/dragonfly-plate-reverb
	$(MAKE) clean -C plugins/dragonfly-early-reflections
	$(MAKE) clean -C common
	rm -rf bin build

# --------------------------------------------------------------

.PHONY: plugins

=== common/Makefile ===
include Makefile.mk

OBJS = \
	kiss_fft/kiss_fft.c.o \
	kiss_fft/kiss_fftr.c.o

ifneq ($(SYSTEM_FREEVERB3),true)
OBJS += \
	freeverb/allpass.cpp.o \
	freeverb/biquad.cpp.o \
	freeverb/comb.cpp.o \
	freeverb/delay.cpp.o \
	freeverb/delayline.cpp.o \
	freeverb/earlyref.cpp.o \
	freeverb/efilter.cpp.o \
	freeverb/nrev.cpp.o \
	freeverb/nrevb.cpp.o \
	freeverb/progenitor.cpp.o \
	freeverb/progenitor2.cpp.o \
	freeverb/revbase.cpp.o \
	freeverb/slot.cpp.o \
	freeverb/strev.cpp.o \
	freeverb/utils.cpp.o \
	freeverb/zrev.cpp.o \
	freeverb/zrev2.cpp.o \
	kiss_fft/kiss_fft.c.o \
	kiss_fft/kiss_fftr.c.o
endif

all: $(OBJS)

ifneq ($(SYSTEM_FREEVERB3),true)
freeverb/%.cpp.o: freeverb/%.cpp
	$(CXX) $< $(BUILD_CXX_FLAGS) -I. -DLIBFV3_FLOAT -Wno-unused-parameter -c -o $@
endif

kiss_fft/%.c.o: kiss_fft/%.c
	$(CC) $< $(BUILD_C_FLAGS) -I. -c -o $@

clean:
	rm -f *.[od] */*.[od]

=== dpf/Makefile ===
#!/usr/bin/make -f
# Makefile for DPF #
# ---------------- #
# Created by falkTX
#

include Makefile.base.mk

all: dgl examples gen

# --------------------------------------------------------------

ifneq ($(CROSS_COMPILING),true)
CAN_GENERATE_TTL = true
else ifneq ($(EXE_WRAPPER),)
CAN_GENERATE_TTL = true
endif

dgl:
	$(MAKE) -C dgl

examples: dgl
	$(MAKE) all -C examples/Info
	$(MAKE) all -C examples/Latency
	$(MAKE) all -C examples/Meters
	$(MAKE) all -C examples/MidiThrough
	$(MAKE) all -C examples/Parameters
	$(MAKE) all -C examples/States

ifeq ($(HAVE_CAIRO),true)
	$(MAKE) all -C examples/CairoUI
endif

ifneq ($(MACOS_OR_WINDOWS),true)
	# ExternalUI is WIP
	$(MAKE) all -C examples/ExternalUI
	install -d bin/d_extui-dssi
	install -d bin/d_extui.lv2
	install -m 755 examples/ExternalUI/ExternalLauncher.sh bin/d_extui.sh
	install -m 755 examples/ExternalUI/ExternalLauncher.sh bin/d_extui-dssi/d_extui.sh
	install -m 755 examples/ExternalUI/ExternalLauncher.sh bin/d_extui.lv2/d_extui.sh
endif

ifeq ($(CAN_GENERATE_TTL),true)
gen: examples utils/lv2_ttl_generator
	@$(CURDIR)/utils/generate-ttl.sh
ifeq ($(MACOS),true)
	@$(CURDIR)/utils/generate-vst-bundles.sh
endif

utils/lv2_ttl_generator:
	$(MAKE) -C utils/lv2-ttl-generator
else
gen:
endif

# --------------------------------------------------------------

clean:
	$(MAKE) clean -C dgl
	$(MAKE) clean -C examples/CairoUI
	$(MAKE) clean -C examples/Info
	$(MAKE) clean -C examples/Latency
	$(MAKE) clean -C examples/Meters
	$(MAKE) clean -C examples/MidiThrough
	$(MAKE) clean -C examples/Parameters
	$(MAKE) clean -C examples/States
	$(MAKE) clean -C utils/lv2-ttl-generator
ifneq ($(MACOS_OR_WINDOWS),true)
	$(MAKE) clean -C examples/ExternalUI
endif
	rm -rf bin build

# --------------------------------------------------------------

.PHONY: dgl examples

=== dpf/dgl/Makefile ===
#!/usr/bin/make -f
# Makefile for DGL #
# ---------------- #
# Created by falkTX
#

include ../Makefile.base.mk

# ---------------------------------------------------------------------------------------------------------------------

BUILD_C_FLAGS   += $(DGL_FLAGS) -I. -Isrc
BUILD_CXX_FLAGS += $(DGL_FLAGS) -I. -Isrc -DDONT_SET_USING_DGL_NAMESPACE -Wno-unused-parameter
LINK_FLAGS      += $(DGL_LIBS)

# ifneq ($(MACOS_OLD),true)
# needed by sofd right now, fix later
# BUILD_CXX_FLAGS += -Wno-type-limits -fpermissive
# endif

# ---------------------------------------------------------------------------------------------------------------------

OBJS_common = \
	../build/dgl/Application.cpp.o \
	../build/dgl/Color.cpp.o \
	../build/dgl/Geometry.cpp.o \
	../build/dgl/ImageBase.cpp.o \
	../build/dgl/Resources.cpp.o \
	../build/dgl/Widget.cpp.o

# TODO: ImageWidgets.cpp

# ---------------------------------------------------------------------------------------------------------------------

OBJS_cairo = $(OBJS_common) \
	../build/dgl/Cairo.cpp.cairo.o \
	../build/dgl/WidgetPrivateData.cpp.cairo.o

ifeq ($(MACOS),true)
OBJS_cairo += ../build/dgl/Window.mm.cairo.o
else
OBJS_cairo += ../build/dgl/Window.cpp.cairo.o
endif

# ---------------------------------------------------------------------------------------------------------------------

OBJS_opengl = $(OBJS_common) \
	../build/dgl/OpenGL.cpp.opengl.o \
	../build/dgl/Image.cpp.opengl.o \
	../build/dgl/ImageWidgets.cpp.opengl.o \
	../build/dgl/NanoVG.cpp.opengl.o \
	../build/dgl/WidgetPrivateData.cpp.opengl.o

ifeq ($(MACOS),true)
OBJS_opengl += ../build/dgl/Window.mm.opengl.o
else
OBJS_opengl += ../build/dgl/Window.cpp.opengl.o
endif

# ---------------------------------------------------------------------------------------------------------------------

ifeq ($(HAVE_CAIRO),true)
TARGETS += ../build/libdgl-cairo.a
endif

ifeq ($(HAVE_OPENGL),true)
TARGETS += ../build/libdgl-opengl.a
# Compat name, to be removed soon
TARGETS += ../build/libdgl.a
endif

# ---------------------------------------------------------------------------------------------------------------------

all: $(TARGETS)

# ---------------------------------------------------------------------------------------------------------------------

../build/libdgl-cairo.a: $(OBJS_cairo)
	-@mkdir -p ../build
	@echo "Creating libdgl-cairo.a"
	$(SILENT)rm -f $@
	$(SILENT)$(AR) crs $@ $^

../build/libdgl-opengl.a: $(OBJS_opengl)
	-@mkdir -p ../build
	@echo "Creating libdgl-opengl.a"
	$(SILENT)rm -f $@
	$(SILENT)$(AR) crs $@ $^

# Compat name, to be removed soon
../build/libdgl.a: ../build/libdgl-opengl.a
	@echo "Symlinking libdgl.a"
	$(SILENT)ln -sf $< $@

# ---------------------------------------------------------------------------------------------------------------------

../build/dgl/%.c.o: src/%.c
	-@mkdir -p ../build/dgl
	@echo "Compiling $<"
	$(SILENT)$(CC) $< $(BUILD_C_FLAGS) -c -o $@

../build/dgl/%.cpp.o: src/%.cpp
	-@mkdir -p ../build/dgl
	@echo "Compiling $<"
	$(SILENT)$(CXX) $< $(BUILD_CXX_FLAGS) -c -o $@

# ---------------------------------------------------------------------------------------------------------------------

../build/dgl/%.cpp.cairo.o: src/%.cpp
	-@mkdir -p ../build/dgl
	@echo "Compiling $< (Cairo variant)"
	$(SILENT)$(CXX) $< $(BUILD_CXX_FLAGS) $(CAIRO_FLAGS) -DDGL_CAIRO -c -o $@

../build/dgl/Window.cpp.cairo.o: src/Window.cpp src/sofd/* src/pugl/*
	-@mkdir -p ../build/dgl
	@echo "Compiling $< (Cairo variant)"
	$(SILENT)$(CXX) $< $(BUILD_CXX_FLAGS) $(CAIRO_FLAGS) -DDGL_CAIRO -c -o $@

../build/dgl/Window.mm.cairo.o: src/Window.cpp src/sofd/* src/pugl/*
	-@mkdir -p ../build/dgl
	@echo "Compiling $< (Cairo variant)"
	$(SILENT)$(CXX) $< $(BUILD_CXX_FLAGS) $(CAIRO_FLAGS) -DDGL_CAIRO -ObjC++ -c -o $@

# ---------------------------------------------------------------------------------------------------------------------

../build/dgl/%.cpp.opengl.o: src/%.cpp
	-@mkdir -p ../build/dgl
	@echo "Compiling $< (OpenGL variant)"
	$(SILENT)$(CXX) $< $(BUILD_CXX_FLAGS) $(OPENGL_FLAGS) -DDGL_OPENGL -c -o $@

../build/dgl/Window.cpp.opengl.o: src/Window.cpp src/sofd/* src/pugl/*
	-@mkdir -p ../build/dgl
	@echo "Compiling $< (OpenGL variant)"
	$(SILENT)$(CXX) $< $(BUILD_CXX_FLAGS) $(OPENGL_FLAGS) -DDGL_OPENGL -c -o $@

../build/dgl/Window.mm.opengl.o: src/Window.cpp src/sofd/* src/pugl/*
	-@mkdir -p ../build/dgl
	@echo "Compiling $< (OpenGL variant)"
	$(SILENT)$(CXX) $< $(BUILD_CXX_FLAGS) $(OPENGL_FLAGS) -DDGL_OPENGL -ObjC++ -c -o $@

# ---------------------------------------------------------------------------------------------------------------------

clean:
	rm -rf ../build/dgl ../build/libdgl*.*

debug:
	$(MAKE) DEBUG=true

# ---------------------------------------------------------------------------------------------------------------------

-include $(OBJS_common:%.o=%.d)
-include $(OBJS_cairo:%.o=%.d)
-include $(OBJS_opengl:%.o=%.d)

# ---------------------------------------------------------------------------------------------------------------------

=== plugins/dragonfly-early-reflections/Makefile ===
--- 
+++ 
@@ -30,12 +30,14 @@
 
 include ../../dpf/Makefile.plugins.mk
 
+PKG_CONFIG ?= pkg-config
+
 BUILD_CXX_FLAGS := -I../../common $(BUILD_CXX_FLAGS)
 BUILD_CXX_FLAGS := ../../common/kiss_fft/*.c.o $(BUILD_CXX_FLAGS)
 ifneq ($(SYSTEM_FREEVERB3),true)
 BUILD_CXX_FLAGS := ../../common/freeverb/*.cpp.o $(BUILD_CXX_FLAGS)
 else
-BUILD_CXX_FLAGS := $(shell pkg-config --cflags freeverb3-3) $(BUILD_CXX_FLAGS)
+BUILD_CXX_FLAGS := $(shell $(PKG_CONFIG) --cflags freeverb3-3) $(BUILD_CXX_FLAGS)
 endif
 
 # --------------------------------------------------------------
@@ -44,7 +46,7 @@
 ifneq ($(SYSTEM_FREEVERB3),true)
 LINK_OPTS += -lm
 else
-LINK_OPTS += -lm $(shell pkg-config --libs freeverb3-3) -lsamplerate
+LINK_OPTS += -lm $(shell $(PKG_CONFIG) --libs freeverb3-3) -lsamplerate
 BUILD_CXX_FLAGS := -DLIBSRATE1 $(BUILD_CXX_FLAGS)
 endif
 
@@ -56,9 +58,11 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
+ifeq ($(LINUX),true)
 ifeq ($(HAVE_DGL),true)
 ifeq ($(HAVE_JACK),true)
 TARGETS += jack
+endif
 endif
 endif

=== plugins/dragonfly-hall-reverb/Makefile ===
--- 
+++ 
@@ -30,12 +30,14 @@
 
 include ../../dpf/Makefile.plugins.mk
 
+PKG_CONFIG ?= pkg-config
+
 BUILD_CXX_FLAGS := -I../../common $(BUILD_CXX_FLAGS)
 BUILD_CXX_FLAGS := ../../common/kiss_fft/*.c.o $(BUILD_CXX_FLAGS)
 ifneq ($(SYSTEM_FREEVERB3),true)
 BUILD_CXX_FLAGS := ../../common/freeverb/*.cpp.o $(BUILD_CXX_FLAGS)
 else
-BUILD_CXX_FLAGS := $(shell pkg-config --cflags freeverb3-3) $(BUILD_CXX_FLAGS)
+BUILD_CXX_FLAGS := $(shell $(PKG_CONFIG) --cflags freeverb3-3) $(BUILD_CXX_FLAGS)
 endif
 
 # --------------------------------------------------------------
@@ -44,7 +46,7 @@
 ifneq ($(SYSTEM_FREEVERB3),true)
 LINK_OPTS += -lm
 else
-LINK_OPTS += -lm $(shell pkg-config --libs freeverb3-3) -lsamplerate
+LINK_OPTS += -lm $(shell $(PKG_CONFIG) --libs freeverb3-3) -lsamplerate
 BUILD_CXX_FLAGS := -DLIBSRATE1 $(BUILD_CXX_FLAGS)
 endif
 
@@ -56,9 +58,11 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
+ifeq ($(LINUX),true)
 ifeq ($(HAVE_DGL),true)
 ifeq ($(HAVE_JACK),true)
 TARGETS += jack
+endif
 endif
 endif

=== plugins/dragonfly-plate-reverb/Makefile ===
--- 
+++ 
@@ -30,12 +30,14 @@
 
 include ../../dpf/Makefile.plugins.mk
 
+PKG_CONFIG ?= pkg-config
+
 BUILD_CXX_FLAGS := -I../../common $(BUILD_CXX_FLAGS)
 BUILD_CXX_FLAGS := ../../common/kiss_fft/*.c.o $(BUILD_CXX_FLAGS)
 ifneq ($(SYSTEM_FREEVERB3),true)
 BUILD_CXX_FLAGS := ../../common/freeverb/*.cpp.o $(BUILD_CXX_FLAGS)
 else
-BUILD_CXX_FLAGS := $(shell pkg-config --cflags freeverb3-3) $(BUILD_CXX_FLAGS)
+BUILD_CXX_FLAGS := $(shell $(PKG_CONFIG) --cflags freeverb3-3) $(BUILD_CXX_FLAGS)
 endif
 
 # --------------------------------------------------------------
@@ -44,7 +46,7 @@
 ifneq ($(SYSTEM_FREEVERB3),true)
 LINK_OPTS += -lm
 else
-LINK_OPTS += -lm $(shell pkg-config --libs freeverb3-3) -lsamplerate
+LINK_OPTS += -lm $(shell $(PKG_CONFIG) --libs freeverb3-3) -lsamplerate
 BUILD_CXX_FLAGS := -DLIBSRATE1 $(BUILD_CXX_FLAGS)
 endif
 
@@ -56,9 +58,11 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
+ifeq ($(LINUX),true)
 ifeq ($(HAVE_DGL),true)
 ifeq ($(HAVE_JACK),true)
 TARGETS += jack
+endif
 endif
 endif

=== plugins/dragonfly-room-reverb/Makefile ===
--- 
+++ 
@@ -30,12 +30,14 @@
 
 include ../../dpf/Makefile.plugins.mk
 
+PKG_CONFIG ?= pkg-config
+
 BUILD_CXX_FLAGS := -I../../common $(BUILD_CXX_FLAGS)
 BUILD_CXX_FLAGS := ../../common/kiss_fft/*.c.o $(BUILD_CXX_FLAGS)
 ifneq ($(SYSTEM_FREEVERB3),true)
 BUILD_CXX_FLAGS := ../../common/freeverb/*.cpp.o $(BUILD_CXX_FLAGS)
 else
-BUILD_CXX_FLAGS := $(shell pkg-config --cflags freeverb3-3) $(BUILD_CXX_FLAGS)
+BUILD_CXX_FLAGS := $(shell $(PKG_CONFIG) --cflags freeverb3-3) $(BUILD_CXX_FLAGS)
 endif
 
 # --------------------------------------------------------------
@@ -44,7 +46,7 @@
 ifneq ($(SYSTEM_FREEVERB3),true)
 LINK_OPTS += -lm
 else
-LINK_OPTS += -lm $(shell pkg-config --libs freeverb3-3) -lsamplerate
+LINK_OPTS += -lm $(shell $(PKG_CONFIG) --libs freeverb3-3) -lsamplerate
 BUILD_CXX_FLAGS := -DLIBSRATE1 $(BUILD_CXX_FLAGS)
 endif
 
@@ -56,9 +58,11 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
+ifeq ($(LINUX),true)
 ifeq ($(HAVE_DGL),true)
 ifeq ($(HAVE_JACK),true)
 TARGETS += jack
+endif
 endif
 endif

=== dpf/examples/FileHandling/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = d_files

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	FileHandlingPlugin.cpp

FILES_UI = \
	FileHandlingUI.cpp \
	NanoButton.cpp

# --------------------------------------------------------------
# Do some magic

include ../../Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
ifeq ($(HAVE_OPENGL),true)
TARGETS += jack
endif
endif

ifeq ($(HAVE_OPENGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== dpf/examples/Info/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = d_info

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	InfoExamplePlugin.cpp

FILES_UI  = \
	InfoExampleUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
ifeq ($(HAVE_OPENGL),true)
TARGETS += jack
endif
endif

ifeq ($(HAVE_OPENGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== dpf/examples/Meters/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = d_meters

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ExamplePluginMeters.cpp

FILES_UI  = \
	ExampleUIMeters.cpp

# --------------------------------------------------------------
# Do some magic

include ../../Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
ifeq ($(HAVE_OPENGL),true)
TARGETS += jack
endif
endif

ifneq ($(MACOS_OR_WINDOWS),true)
ifeq ($(HAVE_LIBLO),true)
ifeq ($(HAVE_OPENGL),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_OPENGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== dpf/examples/MidiThrough/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = d_midiThrough

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	MidiThroughExamplePlugin.cpp

# --------------------------------------------------------------
# Do some magic

include ../../Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(LINUX),true)
TARGETS += jack
endif

TARGETS += lv2_dsp
TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== debian/changelog ===
dragonfly-reverb (3.2.5-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * Update d/dragonfly-reverb-vst.install (factorisation +
    correct install location)
  * Update d/dragonfly-reverb-lv2.install (factorisation)
  * Update d/copyright (bump date for me)
  * Update d/control (capitalized acronyms)
  * Update d/control (removes a wrong provides field)
  * Update d/control (no need for any, all is enough)

  [ Dennis Braun ]
  * New upstream version 3.2.5
    + Packaged with the latest dpf sub module @ 226f219
  * Fix FTBS on armel and baseline violation on armhf (Closes: #987484)
  * Drop patches, applied by upstream
  * Bump Standards-Version to 4.6.0.1
  * d/control: Add M-A: foreign to dragonfly-reverb

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 19 Aug 2021 17:07:59 +0200

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,12 @@
 Homepage: https://michaelwillis.github.io/dragonfly-reverb/
 Vcs-Git: https://salsa.debian.org/multimedia-team/dragonfly-reverb.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/dragonfly-reverb
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 
 Package: dragonfly-reverb
-Architecture: any
+Architecture: all
+Multi-Arch: foreign
 Depends:
  dragonfly-reverb-standalone,
  dragonfly-reverb-vst,
@@ -42,15 +43,13 @@
   * Room Reverb
     - stereo-to-stereo reverb
  .
- This metapackage installs all jack, lv2 and vst plugins
+ This metapackage installs all JACK, LV2 and VST plugins
 
 Package: dragonfly-reverb-standalone
 Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Provides:
- standalone-plugin
 Description: Reverb effect plugins - standalone applications
  Dragonfly Reverb is a bundle of free audio reverb effects:
   * Early Reflections
@@ -62,7 +61,7 @@
   * Room Reverb
     - stereo-to-stereo reverb
  .
- This package provides the standalone jack applications
+ This package provides the standalone JACK applications
 
 Package: dragonfly-reverb-vst
 Architecture: any
@@ -82,7 +81,7 @@
   * Room Reverb
     - stereo-to-stereo reverb
  .
- This package provides the vst plugins
+ This package provides the VST plugins
 
 Package: dragonfly-reverb-lv2
 Architecture: any
@@ -102,4 +101,4 @@
   * Room Reverb
     - stereo-to-stereo reverb
  .
- This package provides the lv2 plugins
+ This package provides the LV2 plugins

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export SKIP_STRIPPING = true

%:
	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dragonfly-reverb-$1\.tar\.gz/ \
  https://github.com/michaelwillis/dragonfly-reverb/releases .*/v?(\d[\d\.]+)\.tar\.gz
